import type { Readable } from 'stream';
import type { BinaryData } from './types';
export declare class FileSystemManager implements BinaryData.Manager {
    private storagePath;
    constructor(storagePath: string);
    init(): Promise<void>;
    store(workflowId: string, executionId: string, bufferOrStream: Buffer | Readable, { mimeType, fileName }: BinaryData.PreWriteMetadata): Promise<{
        fileId: string;
        fileSize: number;
    }>;
    getPath(fileId: string): string;
    getAsStream(fileId: string, chunkSize?: number): Promise<import("fs").ReadStream>;
    getAsBuffer(fileId: string): Promise<Buffer>;
    getMetadata(fileId: string): Promise<BinaryData.Metadata>;
    deleteMany(ids: BinaryData.IdsForDeletion): Promise<void>;
    copyByFilePath(workflowId: string, executionId: string, sourcePath: string, { mimeType, fileName }: BinaryData.PreWriteMetadata): Promise<{
        fileId: string;
        fileSize: number;
    }>;
    copyByFileId(workflowId: string, executionId: string, sourceFileId: string): Promise<string>;
    rename(oldFileId: string, newFileId: string): Promise<void>;
    private toFileId;
    private resolvePath;
    private storeMetadata;
    private getSize;
}
